using System.Text.Json.Serialization;

namespace salesbook.Shared.Core.Dto;

public class IndirizzoDTO
{
    [JsonPropertyName("idPosizione")] 
    public int IdPosizione { get; set; }

    [JsonPropertyName("via")]
    public string? Via { get; set; }

    [JsonPropertyName("numeroCivico")]
    public string? NumeroCivico { get; set; }

    [JsonPropertyName("indirizzo")]
    public string? Indirizzo { get; set; }

    [JsonPropertyName("cap")]
    public string? Cap { get; set; }

    [JsonPropertyName("citta")]
    public string? Citta { get; set; }

    [JsonPropertyName("prov")]
    public string? Prov { get; set; }

    [JsonPropertyName("nazione")]
    public string? Nazione { get; set; }

    [JsonPropertyName("lat")]
    public decimal? Lat { get; set; }

    [JsonPropertyName("lng")]
    public decimal? Lng { get; set; }
}